/* Header for a library to make operations available in C */

#ifdef __cplusplus
extern "C" {
#endif

int apogee_open(unsigned int id);
void apogee_get_values(int *roiw, int *roih, int *osw, int *osh, 
  int *binw, int *binh, double *mintemp);
int apogee_expose(double exposure, int x, int y, int height, int width, 
  int shutter_flag);
int apogee_stop_exposure(void);
int apogee_get_status(void);
int apogee_get_image(unsigned short int *image);
void apogee_set_cooler_temperature(double temperature);
void apogee_set_cooler_state(int state);
int apogee_get_cooler_temperature(double *temperature);
void apogee_set_fan(int speed);
void apogee_get_info(char **sensor, char **camera);
int apogee_tiptilt(int ao_x, int ao_y);
int apogee_guide(int relay, double ontime);

#ifdef __cplusplus
} /* closing brace for extern "C" */
#endif
